Arch Remove
Jump to navigation
Jump to search
Arch
User documentation
|
Menu location |
---|
Arch → Remove component |
Workbenches |
Arch |
Default shortcut |
None |
Introduced in version |
- |
See also |
Arch CutLine, Arch CutPlane, Arch Add |
Description
The Remove tools allows you to do 2 kinds of operations:
- Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the
Arch Add example.
- Subtract a shape-based object from an Arch component such as a
Arch Wall or
Arch Structure
The counterpart of this tool is the Arch Add tool.
A box subtracted from a wall, leaving a hole in it.
Usage
- Select a subcomponent inside an Arch object.
- Press the
button, or Arch →
Remove from the top menu.
Or
- Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
- Press the
button, or Arch →
Remove from the top menu.
Scripting
See also: Arch API and FreeCAD Scripting Basics.
The Remove tool can be used in macros and from the Python console by using the following function:
removeComponents(objectsList, host=None)
- Removes the given objects in
objectsList
from their parents. - If a
host
object is specified, this function will try adding the objects inobjectsList
as holes to thehost
.
Example:
import FreeCAD, Draft, Arch
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()
Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))
Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub